import { EventEmitter, OnInit } from '@angular/core';
import * as i0 from "@angular/core";
export declare class WeightageSelectorComponent implements OnInit {
    constructor();
    value: number;
    score: number;
    set Value(value: number);
    valueChange: EventEmitter<number>;
    changeValue(evt: any): void;
    ngOnInit(): void;
    weightManager(mode: any): void;
    checkWeightValidity(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WeightageSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WeightageSelectorComponent, "app-weightage-selector", never, { "Value": { "alias": "value"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, false, never>;
}
